<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Poke Utility</title>
</head>

<body>
    <h1>The Poke Utility</h1>

    <p>The Poke utility simply attempts to establish TCP connections. It's useful for checking if a device/server is
        accepting TCP connections on a given port number.</p>

    <h2>Download</h2>

    <p>Download <a href="https://cdbz.ca//poke/poke.exe" target="_blank">the executable file</a> that works on Win7
        or later Windows operating systems. On Windows 10, it will nag you about running an executable that was
        downloaded from the Internet, if so, click "More Info" and then "Run anyway".</p>

    <h2>Installation</h2>

    <p>Save the <code>poke.exe</code> file in a directory that can be located by the <code>%PATH%</code> environment
        variable,
        famously <code>C:\Windows\System32</code>. If you install <code>poke.exe</code> in a directory that can
        be located by the <code>%PATH%</code> environment variable, you don't have to change directories to find the
        <code>poke.exe</code> executable, it will always be available in any command prompt window. If you don't, you
        will have to change directories in the command prompt to the directory where you saved the <code>poke.exe</code>
        file. For example if you saved <code>poke.exe</code> on your desktop, then you need to change to the Desktop
        directory like <code>cd %HOMEPATH%/Desktop</code>, then you can run the <code>poke.exe</code> executable.
    </p>

    <p>If you just double-click on the <code>poke.exe</code>, it will launch a command prompt and attempt to connect
        to <code>google.com</code> on port 80 (HTTP).</p>

    <p>See <a href="https://en.wikipedia.org/wiki/PATH_(variable)" target="_blank">this Wikipedia entry</a> for more
        information about the <code>%PATH%</code> environment variable.</p>

    <h2>Usage</h2>

    <p>To cancel a test, press <code>&lt;Ctrl&gt;-C</code> one or more times to eventually interrupt the tests.</p>

    <p>For usage information, run <code>poke /?</code>. It will output something like this:</p>

    <p>
    <pre>
Usage: poke [options] [[host] [port]]

Tests TCP connection to host and port.

Options:
    /?          Show this message and exit
                    Aliases: /help -h --help
    /v          Show version information
                    Aliases: /ver /version -v --version
    /h HOST     Hostname or IP address to connect to
                    Default: google.com
                    Aliases: /host -H --host
    /p PORT     Port number number to connect to
                    Min: 1, Max: 65535, Default: 80
                    Aliases: /port -p --port
    /c COUNT    Number of tests to run
                    Default: 0, Infinite: 0
                    Aliases: /count -c --count
    /t TIMEOUT  Connection timeout in milliseconds
                    Default: 3000, Infinite: 0
                    Aliases: /to /timeout -t --timeout
    /d DELAY    Delay between tests in milliseconds
                    Default: 1000
                    Aliases: /delay -d --delay
    /b          Make beep noise on success or failure
                    Aliases: /beep -b --beep

Examples:
    Check for internet connection:
        &gt; poke
    Check if Wikipedia website is online:
        &gt; poke wikipedia.org
    Check for internet DNS connection:
        &gt; poke 8.8.8.8 53
    Check local IP address on port 123:
        &gt; poke 192.168.0.42 123

Common Ports:
    FTP              : 21
    SSH              : 22
    SMTP             : 25
    DNS              : 53
    HTTP             : 80
    POP3             : 110
    HTTP/SSL/TLS     : 443
    RTSP             : 554
    IMAP             : 993

Written by Matthew Brush &lt;m@cdbz.ca&gt;
        </pre>
    </p>

</body>

</html>
